#include <iostream>
#include <cstring>

using namespace std;

void f(char a[],char b[],char c[],char r[]){
    strcpy(r,a);
    strcat(r,b);
    strcat(r,c);
}

int main()
{
    char a[20],b[20],c[20],r[6][20];
    int m,i;
    cin>>a>>b>>c;
    f(a,b,c,r[0]);
    f(a,c,b,r[1]);
    f(b,a,c,r[2]);
    f(b,c,a,r[3]);
    f(c,a,b,r[4]);
    f(c,b,a,r[5]);
    m=0;
    for(i=1;i<6;i++)
        if(strcmp(r[i],r[m])>0)
            m=i;
    cout<<r[m];

    return 0;
}